Open CASCADE Technology: StepRepr_CompoundRepresentationItem Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepRepr_CompoundRepresentationItem Class Reference

Added for Dimensional Tolerances. More...

`#include <StepRepr_CompoundRepresentationItem.hxx>`

Inheritance diagram for StepRepr_CompoundRepresentationItem:
[legend]

## Public Member Functions
| StepRepr_CompoundRepresentationItem ()
void | Init (const Handle< TCollection_HAsciiString > &aName, const Handle< StepRepr_HArray1OfRepresentationItem > &item_element)
Handle < StepRepr_HArray1OfRepresentationItem > | ItemElement () const
Standard_Integer | NbItemElement () const
void | SetItemElement (const Handle< StepRepr_HArray1OfRepresentationItem > &item_element)
Handle < StepRepr_RepresentationItem > | ItemElementValue (const Standard_Integer num) const
void | SetItemElementValue (const Standard_Integer num, const Handle< StepRepr_RepresentationItem > &anelement)
Public Member Functions inherited from StepRepr_RepresentationItem
| StepRepr_RepresentationItem ()
| Returns a RepresentationItem. More...
virtual void | Init (const Handle< TCollection_HAsciiString > &aName)
void | SetName (const Handle< TCollection_HAsciiString > &aName)
Handle< TCollection_HAsciiString > | Name () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Added for Dimensional Tolerances.

## Constructor & Destructor Documentation

StepRepr_CompoundRepresentationItem::StepRepr_CompoundRepresentationItem | ( |  | ) |

## Member Function Documentation

void StepRepr_CompoundRepresentationItem::Init | ( | const Handle< TCollection_HAsciiString > & | aName,
|  | const Handle< StepRepr_HArray1OfRepresentationItem > & | item_element
| ) |  |

Handle< StepRepr_HArray1OfRepresentationItem > StepRepr_CompoundRepresentationItem::ItemElement | ( |  | ) | const

Handle< StepRepr_RepresentationItem > StepRepr_CompoundRepresentationItem::ItemElementValue | ( | const Standard_Integer | num | ) | const

Standard_Integer StepRepr_CompoundRepresentationItem::NbItemElement | ( |  | ) | const

void StepRepr_CompoundRepresentationItem::SetItemElement | ( | const Handle< StepRepr_HArray1OfRepresentationItem > & | item_element | ) |

void StepRepr_CompoundRepresentationItem::SetItemElementValue | ( | const Standard_Integer | num,
|  | const Handle< StepRepr_RepresentationItem > & | anelement
| ) |  |

The documentation for this class was generated from the following file:

- StepRepr_CompoundRepresentationItem.hxx